/**
 * EntityDeterminerDetermined.java
 *
 * File generated from the medication::EntityDeterminerDetermined uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityDeterminerDetermined.
 *
 * 
 */

@XmlType(name = "EntityDeterminerDetermined")
@XmlEnum
@XmlRootElement(name = "EntityDeterminerDetermined")
public enum EntityDeterminerDetermined {
	@XmlEnumValue("KIND")
	KIND("KIND"),
	@XmlEnumValue("QUANTIFIED_KIND")
	QUANTIFIEDKIND("QUANTIFIED_KIND");
	
	private final String value;

    EntityDeterminerDetermined(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityDeterminerDetermined fromValue(String v) {
        for (EntityDeterminerDetermined c: EntityDeterminerDetermined.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}